cURL
curl --request POST \
--url https://api.eda.prisme.ai/v2/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": {},
"scope": "events",
"limit": 123,
"page": 123,
"aggs": {},
"runtime_mappings": {},
"source": [
"<string>"
],
"sort": [
{}
],
"track_total_hits": true
}
'import requests
url = "https://api.eda.prisme.ai/v2/search"
payload = {
"query": {},
"scope": "events",
"limit": 123,
"page": 123,
"aggs": {},
"runtime_mappings": {},
"source": ["<string>"],
"sort": [{}],
"track_total_hits": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: {},
scope: 'events',
limit: 123,
page: 123,
aggs: {},
runtime_mappings: {},
source: ['<string>'],
sort: [{}],
track_total_hits: true
})
};
fetch('https://api.eda.prisme.ai/v2/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"size": 123,
"documents": [
{}
],
"aggs": {}
}{
"error": "BadParameters",
"message": "<string>",
"details": "<unknown>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ForbiddenError",
"message": "Forbidden"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Prisme.ai Events
Post v2search
Cross-workspace search API, reserved to super admins
POST
/
v2
/
search
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Elasticsearch DSL query to filter response documents
Available options:
events Page size. Limit response documents, but aggregations still execute on all documents matching the given query
Page number returned by response's documents field
Elasticsearch aggregations executed on response documents
Elasticsearch runtime_mappings executed on runtime
Elasticsearch _source
Get real total instead of 10000
Was this page helpful?
⌘I